Bug 124581 - rpm-build missing requires for diff
rpm-build missing requires for diff
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks: 246627
  Show dependency treegraph
 
Reported: 2004-05-27 14:19 EDT by Bryan Stillwell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-29 08:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Stillwell 2004-05-27 14:19:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040413 Debian/1.6-5

Description of problem:
The script '/usr/lib/rpm/check-files' in the rpm-build package uses
the diff command, but diff isn't an install requirement for rpm-build.

Version-Release number of selected component (if applicable):
rpm-build-4.3.1-0.3

How reproducible:
Always

Steps to Reproduce:
1.Install a very base system leaving out diff
2.Try to rebuild an RPM
    

Actual Results:  The rpm was made, but this warning was displayed:
/usr/lib/rpm/check-files: line 1: diff: command not found

Expected Results:  A list of unpackaged files should have been
displayed if there were any.

Additional info:
Comment 1 Bryan Stillwell 2004-05-27 14:23:54 EDT
The required packaged should be diffutils, not diff.
Comment 2 Jeff Johnson 2004-05-29 08:57:25 EDT
diff is not a hard dependency, as check-files may or may not
be configured.

There is no easy answer for dependencies that are needed depending
on how a system is configured, nor will there be soon, as
it's a hard problem. Hence, WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.